%define __strip %{_mingw32_strip}
%define __objdump %{_mingw32_objdump}
%define __debug_install_post %{_mingw32_debug_install_post}

# Patented subpixel rendering disabled by default.
# Pass '--with subpixel_rendering' on rpmbuild command-line to enable.
%{!?_with_subpixel_rendering: %{!?_without_subpixel_rendering: %define _without_subpixel_rendering --without-subpixel_rendering}}

Name:           mingw32-freetype
Version:        2.4.6
Release:        1%{?dist}
Summary:        Free and portable font rendering engine

License:        FTL or GPLv2+
URL:            http://www.freetype.org
Source0:        http://download.savannah.gnu.org/releases/freetype/freetype-%{version}.tar.bz2
Source1:        http://download.savannah.gnu.org/releases/freetype/freetype-doc-%{version}.tar.bz2
#Source2:        http://download.savannah.gnu.org/releases/freetype/ft2demos-%{version}.tar.bz2
Group:          Development/Libraries

# Patches from native Fedora package.
Patch21:        freetype-2.3.0-enable-spr.patch
Patch46:        freetype-2.2.1-enable-valid.patch
#Patch47:        freetype-2.3.11-more-demos.patch
Patch88:        freetype-multilib.patch
Patch89:        freetype-2.4.2-CVE-2010-3311.patch

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 68
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-zlib
BuildRequires:  mingw32-dlfcn

%description
MinGW Windows Freetype library.


%{?_mingw32_debug_package}


%prep
%setup -q -n freetype-%{version} -b 1 -a 1

%if %{?_with_subpixel_rendering:1}%{!?_with_subpixel_rendering:0}
%patch21  -p1 -b .enable-spr
%endif

%patch46  -p1 -b .enable-valid
#%patch47  -p1 -b .more-demos

%patch88 -p1 -b .multilib
%patch89 -p1 -b .CVE-2010-3311


%build
%{_mingw32_configure} --disable-static
make %{?_smp_mflags}

# The ft2demos Makefile is hacky and doesn't understand
# cross-compilation.  This nearly works, but not quite, so
# disable. it.
#pushd ft2demos-%{version}
#make TOP_DIR=".." PLATFORM=win32
#popd


%install
make DESTDIR=$RPM_BUILD_ROOT install


%files
%doc docs/LICENSE.TXT
%{_mingw32_bindir}/freetype-config
%{_mingw32_bindir}/libfreetype-6.dll
%{_mingw32_includedir}/freetype2
%{_mingw32_includedir}/ft2build.h
%{_mingw32_libdir}/libfreetype.dll.a
%{_mingw32_libdir}/libfreetype.la
%{_mingw32_libdir}/pkgconfig/freetype2.pc
%{_mingw32_datadir}/aclocal/freetype2.m4


%changelog
* Sun Aug 07 2011 Kalev Lember <kalevlember@gmail.com> - 2.4.6-1
- Update to 2.4.6

* Sat Jul 30 2011 Kalev Lember <kalevlember@gmail.com> - 2.4.5-1
- Update to 2.4.5
- Synced patches with Fedora native freetype 2.4.5-2
- Spec cleanup
- Enable automatic mingw dep extraction
- Create -debuginfo subpackage

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 12 2010 Richard W.M. Jones <rjones@redhat.com> - 2.3.11-1
- New upstream version 2.3.11.
- Match patches from Fedora native version.
- Recheck package with rpmlint.

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 20 2009 Richard W.M. Jones <rjones@redhat.com> - 2.3.8-2
- Rebuild for mingw32-gcc 4.4

* Fri Jan 16 2009 Richard W.M. Jones <rjones@redhat.com> - 2.3.8-1
- New upstream version 2.3.8.
- Use the patches from the Fedora native package.
- Disable patented code.
- Don't build the static library.
- Use _smp_mflags.
- BR mingw32-dlfcn (not required, but uses it if installed).
- Add license file to doc section.

* Tue Jan 13 2009 Richard W.M. Jones <rjones@redhat.com> - 2.3.7-6
- Requires pkgconfig.

* Wed Sep 24 2008 Richard W.M. Jones <rjones@redhat.com> - 2.3.7-5
- Rename mingw -> mingw32.

* Mon Sep 22 2008 Daniel P. Berrange <berrange@redhat.com> - 2.3.7-4
- Import patches from rawhide  & add docs

* Sun Sep 21 2008 Richard W.M. Jones <rjones@redhat.com> - 2.3.7-3
- Depends on filesystem >= 25.

* Wed Sep 10 2008 Richard W.M. Jones <rjones@redhat.com> - 2.3.7-2
- Fix source URL.
- Remove static libraries.

* Tue Sep  9 2008 Daniel P. Berrange <berrange@redhat.com> - 2.3.7-1
- Initial RPM release
